function chAeroDyn(AirDens,KinVisc)
%chAeroDyn - Change the main parameters in the AeroDyn15.dat input file for FAST_v8.16.00a-bjj wind turbine simulator
%
%       chAeroDyn(AirDens,KinVisc)
%
%Input parameters (must be of class 'char'):
%
%AirDens    -   Air density [kg/m^3]
%KinVisc    -   Kinematic air viscosity [m^2/s]

%% ---- Input guztiak 'char' motakoak direla baieztatu --------------------

if ischar(AirDens)==0 || ischar(KinVisc)==0
    error('Error in chAeroDyn: all input args. must be of class "char".')
else
    
%% ---- AeroDyn15.dat-eko EDUKIA ERAUZI -----------------------------------

    fid=fopen('FASTinput\5MW_Baseline\NRELOffshrBsline5MW_OC3Hywind_AeroDyn15.dat','r');     % 'r' --> permission to read
    C=textscan(fid,'%s','delimiter','\n');      % C modu "txukun" batean sortuko da; AeroDyn-eko parametro bakoitza
                                                % eta haren deskribapena errenkada bakarrean kopiatuko baita
    fclose(fid);
    % C aldagaia "cell" (slot edo gelaxka) bakarraz osatuta dago, baina slot horretan 149 x 1 zutabe-matrize bat dago, errenkada
    % bakoitza AeroDyn-eko lerro oso bat delarik. Orain, parametro esanguratsuenak aldatuko dira C-n:

% -------------------------------------------------------------------------
%% ---- PARAMETROAK ALDATU ------------------------------------------------

    % 13. lerroa: 'AirDens' aldagaia
    C{1,1}{13,1}(1:14) = blanks(14);            % aldagaiaren izena baino lehenagoko 14 posizio guztiak zuri bihurtu
    C{1,1}{13,1}(1:length(AirDens)) = AirDens;

    % 14. lerroa: 'KinVisc' aldagaia
    C{1,1}{14,1}(1:14) = blanks(14);            % aldagaiaren izena baino lehenagoko 14 posizio guztiak zuri bihurtu
    C{1,1}{14,1}(1:length(KinVisc)) = KinVisc;

% -------------------------------------------------------------------------
%% ---- AeroDyn.dat berridatzi --------------------------------------------

    % AeroDyn-eko parametroentzako nahi ditugun balioak C-n daudenez, orain C-ko edukia AeroDyn-en berridatzi behar da:
    fid=fopen('FASTinput\5MW_Baseline\NRELOffshrBsline5MW_OC3Hywind_AeroDyn15.dat','w');     % 'w' --> permission to write (discard existing contents)
    for lii=1:length(C{1,1}) 
      fprintf(fid,'%s\n',C{1,1}{lii,1});    % C-ko edukia string moduan idatzi eta
                                            % matrizearen gelaxka bakoitza idazten bukatzean hurrengo lerrora pasatu
    end
    fclose(fid);
end
end